Package be.fgov.ehealth.hubservices.core.v2

# Class Transactionaccess

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.Transactionaccess

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class Transactionaccess extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType" minOccurs="0"/>
             <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TransactionWithAuthorType" minOccurs="0"/>
             <element name="hcparty" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}hcpartyType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="accessdatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transactionaccess()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getAccessdatetime()`
  Gets the value of the accessdatetime property.
  `List<HcpartyType>`
  `getHcparties()`
  Gets the value of the hcparties property.
  `PatientIdType`
  `getPatient()`
  Gets the value of the patient property.
  `TransactionWithAuthorType`
  `getTransaction()`
  Gets the value of the transaction property.
  `void`
  `setAccessdatetime(Instant value)`
  Sets the value of the accessdatetime property.
  `void`
  `setPatient(PatientIdType value)`
  Sets the value of the patient property.
  `void`
  `setTransaction(TransactionWithAuthorType value)`
  Sets the value of the transaction property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Transactionaccess

    public Transactionaccess()

- ## Method Details

  - ### getPatient

    public PatientIdType getPatient()
    Gets the value of the patient property.
    Returns:
      possible object is `PatientIdType`

  - ### setPatient

    public void setPatient(PatientIdType value)
    Sets the value of the patient property.
    Parameters:
      `value` - allowed object is `PatientIdType`

  - ### getTransaction

    public TransactionWithAuthorType getTransaction()
    Gets the value of the transaction property.
    Returns:
      possible object is `TransactionWithAuthorType`

  - ### setTransaction

    public void setTransaction(TransactionWithAuthorType value)
    Sets the value of the transaction property.
    Parameters:
      `value` - allowed object is `TransactionWithAuthorType`

  - ### getHcparties

    public List<HcpartyType> getHcparties()
    Gets the value of the hcparties property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hcparties property.

    For example, to add a new item, do as follows:

         getHcparties().add(newItem);

    Objects of the following type(s) are allowed in the list `HcpartyType`

    Returns:
      The value of the hcparties property.

  - ### getAccessdatetime

    public Instant getAccessdatetime()
    Gets the value of the accessdatetime property.
    Returns:
      possible object is `String`

  - ### setAccessdatetime

    public void setAccessdatetime(Instant value)
    Sets the value of the accessdatetime property.
    Parameters:
      `value` - allowed object is `String`